Show / Hide Table of Contents

# Class Emoji

A Unicode emoji.

##### Inheritance

System.Object
Emoji

##### Implements

IEmote

##### Inherited Members

System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Discord

###### Assembly: Discord.Net.Core.dll

##### Syntax

    public class Emoji : IEmote

### Constructors

| Improve this Doc View Source

#### Emoji(String)

Initializes a new Emoji class with the provided Unicode.

##### Declaration

    public Emoji(string unicode)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | unicode | The pure UTF-8 encoding of an emoji.

### Properties

| Improve this Doc View Source

#### Name

##### Declaration

    public string Name { get; }

##### Property Value

Type | Description
--- | ---
System.String |

### Methods

| Improve this Doc View Source

#### Equals(Object)

Determines whether the specified emoji is equal to the current one.

##### Declaration

    public override bool Equals(object other)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Object | other | The object to compare with the current object.

##### Returns

Type | Description
--- | ---
System.Boolean |

##### Overrides

System.Object.Equals(System.Object)
| Improve this Doc View Source

#### GetHashCode()

##### Declaration

    public override int GetHashCode()

##### Returns

Type | Description
--- | ---
System.Int32 |

##### Overrides

System.Object.GetHashCode()
| Improve this Doc View Source

#### ToString()

Gets the Unicode representation of this emote.

##### Declaration

    public override string ToString()

##### Returns

Type | Description
--- | ---
System.String | A string that resolves to Name.

##### Overrides

System.Object.ToString()

### Implements

IEmote